package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.TrafficTravel;
import com.lightinit.hsdatashow.entity.TrafficTravelExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TrafficTravelMapper {
    long countByExample(TrafficTravelExample example);

    int deleteByExample(TrafficTravelExample example);

    int deleteByPrimaryKey(Long id);

    int insert(TrafficTravel record);

    int insertSelective(TrafficTravel record);

    List<TrafficTravel> selectByExample(TrafficTravelExample example);

    TrafficTravel selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") TrafficTravel record, @Param("example") TrafficTravelExample example);

    int updateByExample(@Param("record") TrafficTravel record, @Param("example") TrafficTravelExample example);

    int updateByPrimaryKeySelective(TrafficTravel record);

    int updateByPrimaryKey(TrafficTravel record);
}